Post Reply 

Is PyGTK needed for Gimp 2.8? (Windows 7)

Jan 10, 2014, 17:57
Post: #1
Is PyGTK needed for Gimp 2.8? (Windows 7)
Hello everyone!

I would like to try writing some scripts for pythonfu, but right now I'm really confused. By the way, I'm in no way a programmer. Actually I thought since I'm using Gimp quite often that this would be a good way to teach myself some Python. But...

My computer runs Windows 7, and I would like to use Python 2.7 with Gimp 2.8. Right now, neither Gimp nor Python are installed, I would like to install this "fresh".

Now I have some questions:
1. Which Python comes with Gimp 2.8?
2. Is the Gimp-Python a "full" Python version?
3. What's all this with PyGTK, do I need to install this?

Actually I would like to use an IDE (PyCharmer), and I'm somehow struggling to get started. Basically I just don't know how to set it all up so that nothing's missing.

Any tips or maybe a short step-by-step-guide would be great.

Thanks a lot!
Christian
Find all posts by this user
Quote this message in a reply
Post Reply 


Possibly Related Threads...
Thread: Author Replies: Views: Last Post
  Gradient fill doesn't work the same in Gimp 2.10.2? Sorceress21 1 81 Jun 13, 2018 21:58
Last Post: paynekj
  Gimp vs photoshop elements Edvin Persson 1 71 Jun 12, 2018 21:39
Last Post: paynekj
Exclamation Bug ~ Gimp crashes when I do... well... anyhing tilts 1 66 Jun 11, 2018 16:28
Last Post: paynekj
  What method would I use in Gimp to fix this image? alock 2 106 May 30, 2018 14:57
Last Post: alock
  How to Install Gimp 2.10 FRESH Dave S 1 187 May 18, 2018 07:14
Last Post: paynekj

Forum Jump:


GIMP ForumPortalArchiveContactTermsRSS